<?php
namespace OCA\Dematpayslip\Db;

use JsonSerializable;

use OCP\AppFramework\Db\Entity;

class DematpayslipArchive extends Entity implements JsonSerializable {

    protected $idFile;
    protected $idUser;
    protected $filePath;
    protected $dematpayslipIdUser;
    protected $pastellIdDocument;
    protected $siret;
    protected $matricule;
    protected $year;
    protected $month;
    protected $lastname;
    protected $firstname;
    protected $startDate;
    protected $endDate;
    protected $editionDate;
    protected $disabled;
    protected $pastellUrl;
    protected $pastellLastAction;
    protected $importTime;

    public function jsonSerialize() {
        return [
            'id'                 => $this->id,
            'idFile'             => $this->idFile,
            'idUser'             => $this->idUser,
            'filePath'           => $this->filePath,
            'dematpayslipIdUser' => $this->dematpayslipIdUser,
            'pastellIdDocument'  => $this->pastellIdDocument,
            'siret'              => $this->siret,
            'matricule'          => $this->matricule,
            'year'               => $this->year,
            'month'              => $this->month,
            'lastname'           => $this->lastname,
            'firstname'          => $this->firstname,
            'startDate'          => $this->startDate,
            'endDate'            => $this->endDate,
            'editionDate'        => $this->editionDate,
            'disabled'           => $this->disabled,
            'pastellUrl'         => $this->pastellUrl,
            'pastellLastAction'  => $this->pastellLastAction,
            'importTime'         => $this->importTime,
        ];
    }
}
